﻿Imports System.Data.Entity
Imports DataLayer.Sales
Imports SalesDomain

Namespace DataLayer.Sales
  Public Class SalesContextSeedInitilializer
	  Inherits DropCreateDatabaseAlways(Of SalesContext)
	Protected Overrides Sub Seed(ByVal context As SalesContext)
	  Dim cust = New Customer("Julie", "Lerman", "julielerman@gmail.com")
	  cust.CreateBillingInformation("1 Main", Nothing, "New Orleans", "LA", "US", "11111", "012123918", "Banco de Ricardo")
	  cust.CopyBillingAddressToShippingAddress()
	  context.Customers.Add(cust)
	  context.SaveChanges()
	  context.Orders.Add(Order.CreateOrder(New CustomerForOrderTransferDTO With {.CustomerId = cust.Id, .ShippingAddress = cust.ShippingAddress, .Status = cust.Status}))
            context.Categories.Add(New Category With {.Name = "Toys", .Products = New List(Of Product) From {New Product("Shiny New Toy", "STN1") With {.ListPrice = 1}}})

            'Try
            'context.SaveChanges
            'Catch ex As Exception

            'Throw
            'End Try

            MyBase.Seed(context)
	End Sub
  End Class
End Namespace
