﻿Imports System.ComponentModel.DataAnnotations.Schema
Imports System.Linq.Expressions
Imports CommonData

Namespace SalesDomain
  'value object
  'no id
  'immutable
  'equality check
Public Class Address
	Inherits ValueObject(Of Address)
  Public Sub New(ByVal street1 As String, ByVal street2 As String, ByVal city As String, ByVal region As String, ByVal country As String, ByVal postalCode As String)
	Me.Street1 = street1
	Me.Street2 = street2
	Me.City = city
	Me.Region = region
	Me.Country = country
	Me.PostalCode = postalCode
  End Sub

        Private PrivateStreet1 As String
        Public Property Street1 As String
            Get
                Return PrivateStreet1
            End Get
            Private Set(ByVal value As String)
                PrivateStreet1 = value
            End Set
        End Property
        Private PrivateStreet2 As String
        Public Property Street2 As String
            Get
                Return PrivateStreet2
            End Get
            Private Set(ByVal value As String)
                PrivateStreet2 = value
            End Set
        End Property
        Private PrivateCity As String
        Public Property City As String
            Get
                Return PrivateCity
            End Get
            Private Set(ByVal value As String)
                PrivateCity = value
            End Set
        End Property
        Private PrivateRegion As String
        Public Property Region As String
            Get
                Return PrivateRegion
            End Get
            Private Set(ByVal value As String)
                PrivateRegion = value
            End Set
        End Property
        Private PrivateCountry As String
        Public Property Country As String
            Get
                Return PrivateCountry
            End Get
            Private Set(ByVal value As String)
                PrivateCountry = value
            End Set
        End Property
        Private PrivatePostalCode As String
        Public Property PostalCode As String
            Get
                Return PrivatePostalCode
            End Get
            Private Set(ByVal value As String)
                PrivatePostalCode = value
            End Set
        End Property

  'mre
End Class
End Namespace
