Namespace SalesDomain
  Public Class LineItem
	Public Sub New(ByVal orderId As Integer, ByVal productId As Integer, ByVal quantity As Integer, ByVal unitPrice As Double, ByVal unitPriceDiscount As Double)
	  OrderQty = quantity
	  Me.ProductId = productId
	  Me.UnitPrice = unitPrice
	  Me.UnitPriceDiscount = unitPriceDiscount
	End Sub
        Public Property LineItemId As Integer

        Private PrivateOrderFk As Integer
        Public Property OrderFk As Integer
            Get
                Return PrivateOrderFk
            End Get
            Private Set(ByVal value As Integer)
                PrivateOrderFk = value
            End Set
        End Property
        Private PrivateProductId As Integer
        Public Property ProductId As Integer
            Get
                Return PrivateProductId
            End Get
            Private Set(ByVal value As Integer)
                PrivateProductId = value
            End Set
        End Property

        Private PrivateOrderQty As Integer
        Public Property OrderQty As Integer
            Get
                Return PrivateOrderQty
            End Get
            Private Set(ByVal value As Integer)
                PrivateOrderQty = value
            End Set
        End Property
        Private PrivateUnitPrice? As Double
        Public Property UnitPrice As Double?
            Get
                Return PrivateUnitPrice
            End Get
            Private Set(ByVal value As Double?)
                PrivateUnitPrice = value
            End Set
        End Property
        Private PrivateUnitPriceDiscount? As Double
        Public Property UnitPriceDiscount As Double?
            Get
                Return PrivateUnitPriceDiscount
            End Get
            Private Set(ByVal value As Double?)
                PrivateUnitPriceDiscount = value
            End Set
        End Property


        Public ReadOnly Property LineTotal As Double
            Get
                If UnitPrice IsNot Nothing Then
                    If UnitPriceDiscount IsNot Nothing Then
                        Return OrderQty * (UnitPrice.Value * (1 - UnitPriceDiscount.Value))
                    End If
                End If
                Return 0
            End Get
        End Property

	Public Sub SetOrderIdentity(ByVal orderId As Integer)
	  OrderFk = orderId
	End Sub





        Public Property ShipmentId As Integer?
  End Class
End Namespace